query Shared Templates
abstract suspend fun querySharedTemplates(queryParameters: SharedTemplateQueryParameters? = null): Result<Map<Long, List<SharedTemplate>>>
Queries the database for shared templates. Returns a SharedTemplate collection that matches the SharedTemplateQueryParameters for every ArcGISFeatureTable.serviceLayerId.
Query parameters are optional. When no query parameters are provided and SharedTemplateQuerySourceType.Database is supported, all visible SharedTemplate for each table in the database are returned. Otherwise, a collection of SharedTemplate with FeatureTemplateDefinition based on the FeatureTemplate is returned.
Return
A Result containing a Map where the keys are ArcGISFeatureTable.serviceLayerId and the values consist of a collection of SharedTemplate objects.
Since
300.0.0
Parameters
query Parameters
The parameters used to query.